#include "effect_animation.h"
#include "functions.h"

AnimationEffect::AnimationEffect(const char* name, CRGB* bg, int x, int y) {
    this->bg_color = bg;
    this->xOffset = x;
    this->yOffset = y;

    this->animation = new Animation(name, window);
    this->animation->setBgColor(this->bg_color);
    this->animation->setOffsets(this->xOffset, this->yOffset);
}

AnimationEffect::~AnimationEffect() {
    delete this->animation;
}

void AnimationEffect::loop() {
    this->animation->drawFrame();
    this->animation->advance();
}
